<?
   // This is the default domain to add to email addresses.  Please change
   // this to your domain!

   $config["domain"] = "webgadgets.com";


   // If set to 1, it will append the above domain name to your username
   // when connecting to the POP server (ie: "bob" becomes "bob@webgadgets.com"

   $config["popdomain"] = 0;


   // This is the URL to use to refer to myself in insecure (non-SSL) mode.

   $config["insecure"] = "http://webgadgets.com/phpost/phpost.php";


   // This is the URL to use to refer to myself in secure (SSL)  mode.

   $config["secure"] = "https://webgadgets.com/phpost/phpost.php";


   // Set this to true if you want to force the use of SSL (it redirects
   // to the secure URL if SSL isn't in use.

   $config["ssl"] = false;


   // This is the default language to use.  It must match one of the entries
   // in $config["languages"] (defined in phpost.php)  The login screen will
   // always use this language.

   $config["lang"] = "English";


   // If a session goes unused for this many seconds, the user is logged out.
   // Watch out - some people take a long time to compose new messages, so
   // don't set this too low! (1800 = 30 minutes, 3600 = 1 hour, etc)

   $config["idle"] = 3600;


   // How often (in seconds) to purge files in the "phpost_temp" directory.
   // This can be quite low, generally.  This directory is used to storew
   // decoded image files when "Render Images" is enabled, and it's also
   // used to store cookies for the login process, etc.

   $config["purgetmp"] = 120;


   // Set this to true for extra security.  The session ID is regenerated
   // on every execution, making it impossible to hijack a session, but
   // it also means you can't simply hit "reload" or you'll be kicked back
   // to the login screen.  Of course this also prevents you from doing
   // things like accidentally sending the same message twice, or deleting
   // message N again, etc.  This setting also causes PHPost to try and
   // prevent caching using a variety of techniques.

   // SETTING THIS TO TRUE IS RECOMMENDED.

   $config["paranoid"] = false;


   // Default number of attachments to prompt for when sending a message.

   $config["attach"] = 2;


   // Default page length (number of messages to list per page).

   $config["length"] = 20;


   // If this is true then the user will be able to choose a POP server to
   // connect to.  If this is false then $config["pop"] must contain a
   // single POP server.

   $config["pickpop"] = true;


   // A list of one or more POP servers, separated with commas.  If the
   // $config["pickpop"] setting is false then this must contain a single
   // server and that's what will be used.  If the user is allowed to
   // choose a server, then it works like this: if this list contains a
   // single entry the user will be able to type in any hostname they want,
   // but if it contains two or more entries they will get a drop-down
   // list of the options.  The default is to use port 110, but you can
   // specify a different port by appending a colon plus the port number
   // to the hostname (eg: pop.somewhere.com:8110)

   $config["pop"] = "localhost";


   // Set this to 1 or 0, depending on if you want APOP support or not.  If
   // set to 1, then PHPost will attempt an APOP login (assuming it finds a
   // message ID in the POP banner).  If set to 0, it won't try APOP at all,
   // even if a message ID is found.  In either case, a normal login will be
   // attmepted if APOP fails.

   $config["apop"] = 1;


   // Method to use to send mail.  The default is to connect directly to
   // the SMTP server, which is the most reliable.  Possible options are:
   //
   // SMTP - The default, send by opening a socket to the SMTP server.
   //        This is the best option, in my opinion.
   // PIPE - The next best option, which is to pipe the message to
   //        sendmail.  This won't work in safe mode though.
   // XMIT - Send via the extended POP XMIT command (I think only Qpopper
   //        supports this, but I'm not sure.  Not the best choice because
   //        it's not reliable, but better than nothing.

   $config["sendvia"] = "SMTP";


   // This is the name of the SMTP server for sending mail.  Only needed
   // if "sendvia" is set to "SMTP".

   $config["smtp"] = "localhost";


   // This is the full path to sendmail.  This is only used when when you
   // set "sendvia" to "PIPE".

   $config["sendmail"] = "/usr/sbin/sendmail";


   // Title

   $config["title"] = "&nbsp;&nbsp;PHPost 1.08";


   // This value is optional and contains extra headers that should be
   // added to all outgoing messages.  You can list multiple headers as
   // long as you separate them with a "\r\n" pair, but don't terminate
   // this value with any carriage returns or newlines.

   // $config["extraheaders"] = "X-Info-1: Report spam to abuse@...";

?>
