<?
// ----------------------------------------------------------------------------
// ViewPart()
//
// This function extracts a specific part in a multipart MIME message.
// ----------------------------------------------------------------------------

   function ViewPart( $num, $part )
   {
      global $socket, $index, $msgcount;

      GetIndex();
      if( $num > $msgcount )
         $num = $msgcount;
      else if( $num < 1 )
         $num = 1;

      // Request the specified message

      fputs( $socket, "RETR $num\r\n" );
      $line = fgets( $socket, 500 );
      if( substr( $line, 0, 1 ) == "+" )
      {
         // Grab the message headers (everything up to a blank line)

         $parthdr = "";
         while( ($line = chop( fgets( $socket, 1000 ) )) != "." && $line != "" )
            $parthdr = $parthdr . $line . "\n";

         // Extract the boundary marker.  If there isn't one then this is a
         // singlepart message so we view the one and only "part".

         //if( $part > 0 && eregi( "boundary *= *[\"]*([^\r\n \"]+)", $parthdr, $reg ) )
         if( $part > 0 && eregi( "boundary *= *[\"]*([^\r\n\"]+)", $parthdr, $reg ) )
         {
            $boundary[0] = "--" . $reg[1];
            FindBoundary( $boundary[0] );
         }
         else
         {
            $boundary[0] = "=_";
            $part = 0;
         }

         $n = 0;
         while( $n < $part && sizeof( $boundary ) > 0 && $line != "." && $line != $boundary[0] . "--" )
         {
            // Get the headers for this part

            $parthdr = "";
            while( ($line = chop( fgets( $socket, 10000 ) )) != "." && $line != "" )
               $parthdr .= $line . "\n";

            // Extract the content type for this part

            if( eregi( "content-type: ([^; \n]+)", $parthdr, $reg ) )
               $parttype = $reg[1];
            else
               $parttype = "text/plain";

            // If this is a multipart part, get the new boundary marker and
            // push it onto the boundary stack and loop

            if( strcasecmp( substr( $parttype, 0, 10 ), "multipart/" ) == 0 && 
                eregi( "boundary *= *[\"]*([^\r\n \"]+)", $parthdr, $reg ) )
            {
               array_unshift( $boundary, "--" . $reg[1] );
               FindBoundary( $boundary[0] );
               continue;
            }
            else
               $n++;


            // Otherwise, if we haven't reached the desired part yet, skip
            // ahead to the next boundary marker.  If we reach a boundary
            // terminator we pop the boundary stack

            if( $n < $part )
            {
               $line = FindBoundary( $boundary[0] );
               if( $line == $boundary[0] . "--" )
               {
                  array_shift( $boundary );
                  FindBoundary( $boundary[0] );
               }
            }
         }

         // At this point we should be at the beginning of the desired part.

         // Extract the part's filename, or assign a generic one

         if( eregi( "name *= *[\"]([^\"]+)[\"]", $parthdr, $reg ) )
            $partname = $reg[1];
         else
            $partname = sprintf( "PART_%03d", $n );


         // Extract the part's encoding method (assume 7bit by default)

         if( eregi( "content-transfer-encoding: *([[:graph:]]+)", $parthdr, $reg ) )
            $partenc = strtolower( $reg[1] );
         else
            $partenc = "7bit";

         // Send the MIME headers, including the charset if there is one.

         if( eregi( "charset *= *[\"]?([^; \"\n]+)", $parthdr, $reg ) )
            header( "Content-Type: $parttype; charset=" . $reg[1] );
         else
            header( "Content-Type: $parttype" );
         header( "Content-Disposition: filename=\"$partname\"" );

         // Extract the part and display it, according to its encoding

         if( $partenc == "base64" )
            $line = ExtractBASE64( $boundary[0], 0 );
         else if( $partenc == "x-uuencode" )
            $line = ExtractUU( $boundary[0], 0 );
         else if( $partenc == "quoted-printable" )
            $line = ExtractQP( $boundary[0], false, 0 );
         else
         {
            // If it's not an encoding type that we deal with ourselves, we
            // need to send an encoding header...

            header( "Content-Transfer-Encoding: $partenc" );

            $line = ExtractTEXT( $boundary[0], false );
         }
      }
   }
?>
